#include <iostream>
#include <cmath>
#include <algorithm>
#include <string>
using namespace std;
long long int particija(long long int niz[1000000001],long long int pocetak, long long int kraj)
{
    long long int i = pocetak-1;
    long long int pivot = niz[kraj];
    for(long long int j = pocetak; j < kraj; j++)
    {
        if(niz[j] < pivot)
        {
            i++;
            long long int temp = niz[j];
            niz[j] = niz[i];
            niz[i] = temp;
        }
    }
    i++;
    long long int temp = niz[kraj];
    niz[kraj] = niz[i];
    niz[i] = temp;
    return i;
}
void QuickSort(long long int niz[1000000001],long long int pocetak, long long int kraj)
{
    if(pocetak >= kraj) return;
    long long int pivot = particija(niz,pocetak,kraj);
    QuickSort(niz,pocetak,pivot-1);
    QuickSort(niz,pivot+1,kraj);
}
int main()
{
    long long int n,i = 1,rezultat = 0;
    cin >> n;
    long long int nizJelo[n],nizRecept[n],nizScenario[n];
    while(i <= n)
    {
        cin >> nizJelo[i];
        i++;
    }
    i = 1;
    while(i <= n)
    {
        cin >> nizRecept[i];
        i++;
    }
    i = 1;
    while(i <= n)
    {
        cin >> nizScenario[i];
        i++;
    }
    i = 1;
    long long int j = 1, z = 1;
    while(i <= n){
        while(j <= n){
        if(nizJelo[i] == nizRecept[j]){
            while(z <= n){
                if(j == nizScenario[z]){
                    rezultat++;
                }
                z++;
            }
        }
        z = 1;
        j++;
        }
        j = 1;
        z = 1;
        i++;
    }

    cout << rezultat << endl;
    return 0;
}